AnyEvent::FTP::Server::Role::Old(3pm)

NAME
AnyEvent::FTP::Server::Role::Old - Role for old archaic FTP server commands

VERSION
version 0.20

SYNOPSIS
Create a context:

 package AnyEvent::FTP::Server::Context::MyContext;

 use Moo;

 extends 'AnyEvent::FTP::Server::Context';
 with 'AnyEvent::FTP::Server::Role::Old';

 1;

Use archaic FTP commands:

 % telnet localhost 39835
 Trying 127.0.0.1...
 Connected to localhost.
 Escape character is '^]'.
 220 aeftpd dev
 user foo
 331 Password required for foo
 pass bar
 230 User foo logged in
 allo
 202 No storage allocation necessary
 noop
 200 NOOP command successful
 syst
 215 UNIX Type: L8
 quit
 221 Goodbye
 Connection closed by foreign host.

DESCRIPTION
This role provides a bunch of FTP commands that don't really do anything anymore, but some older clients might try to use anyway. If you are writing a context, it is probably a good idea to consume this role rather than implementing these useless commands yourself.

ATTRIBUTES

  syst
The string returned by the SYST command. This is often "UNIX Type: L8" even if the server isn't actually running on UNIX. That is also the default.

COMMANDS

ALLO
NOOP
SYST

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Ryo Okamoto

Shlomi Fish

José Joaquín Atria

COPYRIGHT AND LICENSE
This software is copyright (c) 2017-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.